Add a new extension to a store
Add a new extension to a store
Required permissions: EXTENSION
post/tenants/{tenantUid}/stores/{storeUid}/extensions
Authorizations
AuthorizationstringRequired
Token received from the auth service
Path parameters
tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+storeUidstringRequiredPattern:
Reference to a Store.
^[A-Za-z0-9-_]+Body
activebooleanRequired
Activate/Deactivate the extension on the store
tenantExtensionUidstringRequiredPattern:
^[A-Za-z0-9-_]+storeExtensionUidstringOptionalPattern:
^[A-Za-z0-9-_]+Responses
201
Example response
application/json
StoreExtensionResponseSchema
storeExtensionUidstringRequiredPattern:
^[A-Za-z0-9-_]+activebooleanRequired
statusMessagesstring[]Required
post/tenants/{tenantUid}/stores/{storeUid}/extensions
POST /v2/tenants/{tenantUid}/stores/{storeUid}/extensions HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 120
{
"active": true,
"storeParameters": [
{
"key": "text",
"value": "text"
}
],
"tenantExtensionUid": "text",
"storeExtensionUid": "text"
}201
Example response
{
"storeExtensionUid": "text",
"active": true,
"storeParameters": [
{
"key": "text",
"value": "text",
"type": "STRING",
"allowedValues": [
"text"
],
"validationRegex": "text",
"name": "text",
"required": true
}
],
"tenantExtension": {
"extensionCode": "FLOWGIFTCARD",
"active": true,
"tenantExtensionUid": "text",
"name": "text"
},
"statusMessages": [
"text"
],
"capabilities": [
"VALIDATE_CREDENTIALS"
]
}Last updated
Was this helpful?

